export default defineEventHandler(async (event) => {
  const config = useRuntimeConfig()
  const id = getRouterParam(event, 'id')
  const url = `${config.nocodbUrl}/api/v2/tables/${config.orgTableId}/records?where=(Id,eq,${id})&limit=1`

  const data: any = await $fetch(url, {
    headers: {
      'xc-token': config.nocodbToken,
    },
  })

  const record = data?.list?.[0] ?? null
  if (!record) {
    throw createError({ statusCode: 404, message: 'Organisation non trouvée' })
  }
  return record
})
